## org.apache.fop.dom.css
Class CSSStyleDeclarationImpl

    java.lang.Object
      |
      +--org.apache.fop.dom.css.CSSStyleDeclarationImpl

public class CSSStyleDeclarationImpl
extends java.lang.Object
implements org.w3c.dom.css.CSSStyleDeclaration

Constructor Summary
`CSSStyleDeclarationImpl()`

Method Summary
`java.lang.String` `getCssText()`
`int` `getLength()`
`org.w3c.dom.css.CSSRule` `getParentRule()`
`org.w3c.dom.css.CSSValue` `getPropertyCSSValue(java.lang.String str)`
`java.lang.String` `getPropertyPriority(java.lang.String str)`
`java.lang.String` `getPropertyValue(java.lang.String str)`
`java.lang.String` `item(int n)`
`protected void` `parseStyleText(java.lang.String len)`
`java.lang.String` `removeProperty(java.lang.String str)`
`void` `setCssText(java.lang.String str)`
`void` `setProperty(java.lang.String a, java.lang.String b, java.lang.String c)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CSSStyleDeclarationImpl

    public CSSStyleDeclarationImpl()

Method Detail

### removeProperty

    public java.lang.String removeProperty(java.lang.String str)

  Specified by:
    removeProperty in interface org.w3c.dom.css.CSSStyleDeclaration

### getCssText

    public java.lang.String getCssText()

  Specified by:
    getCssText in interface org.w3c.dom.css.CSSStyleDeclaration

### setCssText

    public void setCssText(java.lang.String str)

  Specified by:
    setCssText in interface org.w3c.dom.css.CSSStyleDeclaration

### parseStyleText

    protected void parseStyleText(java.lang.String len)

### getPropertyValue

    public java.lang.String getPropertyValue(java.lang.String str)

  Specified by:
    getPropertyValue in interface org.w3c.dom.css.CSSStyleDeclaration

### setProperty

    public void setProperty(java.lang.String a,
                            java.lang.String b,
                            java.lang.String c)

  Specified by:
    setProperty in interface org.w3c.dom.css.CSSStyleDeclaration

### item

    public java.lang.String item(int n)

  Specified by:
    item in interface org.w3c.dom.css.CSSStyleDeclaration

### getParentRule

    public org.w3c.dom.css.CSSRule getParentRule()

  Specified by:
    getParentRule in interface org.w3c.dom.css.CSSStyleDeclaration

### getPropertyPriority

    public java.lang.String getPropertyPriority(java.lang.String str)

  Specified by:
    getPropertyPriority in interface org.w3c.dom.css.CSSStyleDeclaration

### getPropertyCSSValue

    public org.w3c.dom.css.CSSValue getPropertyCSSValue(java.lang.String str)

  Specified by:
    getPropertyCSSValue in interface org.w3c.dom.css.CSSStyleDeclaration

### getLength

    public int getLength()

  Specified by:
    getLength in interface org.w3c.dom.css.CSSStyleDeclaration

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.